cpt-alternatives(1)

NAME
cpt-alternatives - List and swap to alternatives

SYNOPSIS
cpt-alternatives [-] [package file]

USAGE
cpt-alternatives can be used to either list or swap to alternatives, depending on the given arguments:

-   Swap to alternatives given on the standard input.

none
    List alternatives.

pkg file
    Swap to the alternative file from pkg

EXAMPLES

Here are some sample commands to make it easier to understand how cpt-alternatives works.

  LISTING ALTERNATIVES

Calling cpt-alternatives without any arguments will print all available alternatives on your system.

    $ cpt-alternatives
    ncurses /usr/bin/clear
    ncurses /usr/bin/reset

  SWITCHING ALTERNATIVES
You can simply switch between alternatives by giving the name of the package and the file as arguments.

    $ cpt-alternatives ncurses /usr/bin/clear
    -> Swapping '/usr/bin/clear' from 'busybox' to 'ncurses'

  SWITCHING ALTERNATIVES IN BULK
There may be times where you want to change multiple alternatives at once. Here is an example for using all alternatives from the package sbase.

    $ cpt-alternatives | grep ^sbase | cpt-alternatives -

AUTHOR
Cem Keylan <cem@ckyln.com>

LICENSE
See LICENSE for copyright information.

SEE ALSO
cpt(1)